package com.hua.test.valid;

import com.hua.valid.annotation.ConditionNotNull;

/**
 * @author Hua
 * @since 2024/7/18 下午2:43
 */
public class Student {

    @ConditionNotNull(test = "teaName == '王老师' and teaAge == 28 and teaSex == 1", message = "老师名字为王老师，年龄为18，性别为1的时候 name不能为null")
    private String name;

    private int age;

    private int sex;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public int getSex() {
        return sex;
    }

    public void setSex(int sex) {
        this.sex = sex;
    }
}
