package com.hua.test.valid;

import com.hua.valid.AnnotationHandleFactory;
import com.hua.valid.ErrorMessage;
import com.hua.valid.HandleDTO;

import java.util.List;

public class Test {
    public static void main(String[] args) {
        Teach teach = init();

        ErrorMessage errorMessage = new ErrorMessage();
        if (!AnnotationHandleFactory.handle(new HandleDTO.HandleDTOBuilder()
                .setOriginObj(teach)
                .setAnnotations(teach.getListStu().get(0).getClass().getDeclaredFields()[0].getAnnotations())
                .setField(teach.getListStu().get(0).getClass().getDeclaredFields()[0])
                .setFieldValue(teach.getListStu().get(0).getName())
                .setErrorMessage(errorMessage)
                .build())) {
            System.out.println("验证失败: " + errorMessage.getErrorMessage());
        } else {
            System.out.println("验证成功");
        }
    }


    public static Teach init() {
        Student student = new Student();
        student.setName("张同学");
        student.setAge(18);
        student.setSex(1);

        Student student1 = new Student();
        student1.setName(null);
        student1.setAge(19);
        student1.setSex(2);
        Teach teach = new Teach();
        teach.setTeaAge(28);
        teach.setTeaName("王老师");
        teach.setTeaSex(1);

        List<Student> student11 = List.of(student1, student);
        teach.setListStu(student11);
        return teach;
    }


}
